local BabbleZone = AceLibrary("Babble-Zone-2.2");
local AL = AceLibrary("AceLocale-2.2"):new("AtlasLoot");

local ORANGE = "|cffFF8400";

function AtlasLootWorldEventMenu()
    for i = 1, 30, 1 do
        getglobal("AtlasLootItem_"..i):Hide();
    end
    for i = 1, 30, 1 do
        getglobal("AtlasLootMenuItem_"..i):Hide();
        getglobal("AtlasLootMenuItem_"..i).isheader = false;
    end
    getglobal("AtlasLootItemsFrame_NEXT"):Hide();
    getglobal("AtlasLootItemsFrame_PREV"):Hide();
    getglobal("AtlasLootItemsFrame_BACK"):Hide();
    --Children's Week
    AtlasLootMenuItem_2_Name:SetText(AL["Children's Week"]);
    AtlasLootMenuItem_2_Extra:SetText(ORANGE..AL["Various Locations"]);
    AtlasLootMenuItem_2_Icon:SetTexture("Interface\\Icons\\Ability_Hunter_BeastCall");
    AtlasLootMenuItem_2.type="WorldEvent";
    AtlasLootMenuItem_2.lootpage="ChildrensWeek";
    AtlasLootMenuItem_2.text=AL["Children's Week"];
    AtlasLootMenuItem_2:Show();
    --Hallow's End
    AtlasLootMenuItem_3_Name:SetText(AL["Hallow's End"]);
    AtlasLootMenuItem_3_Extra:SetText(ORANGE..AL["Various Locations"]);
    AtlasLootMenuItem_3_Icon:SetTexture("Interface\\Icons\\INV_Misc_Bag_28_Halloween");
    AtlasLootMenuItem_3.type="WorldEvent";
    AtlasLootMenuItem_3.lootpage="Halloween1";
    AtlasLootMenuItem_3.text=AL["Hallow's End"];
    AtlasLootMenuItem_3:Show();
    --Love is in the Air
    AtlasLootMenuItem_4_Name:SetText(AL["Love is in the Air"]);
    AtlasLootMenuItem_4_Extra:SetText(ORANGE..AL["Various Locations"]);
    AtlasLootMenuItem_4_Icon:SetTexture("Interface\\Icons\\INV_ValentinesBoxOfChocolates02");
    AtlasLootMenuItem_4.type="WorldEvent";
    AtlasLootMenuItem_4.lootpage="Valentineday";
    AtlasLootMenuItem_4.text=AL["Love is in the Air"];
    AtlasLootMenuItem_4:Show();
    --Midsummer Fire Festival
    AtlasLootMenuItem_5_Name:SetText(AL["Midsummer Fire Festival"]);
    AtlasLootMenuItem_5_Extra:SetText(ORANGE..AL["Various Locations"]);
    AtlasLootMenuItem_5_Icon:SetTexture("Interface\\Icons\\INV_SummerFest_FireFlower");
    AtlasLootMenuItem_5.type="WorldEvent";
    AtlasLootMenuItem_5.lootpage="MidsummerFestival";
    AtlasLootMenuItem_5.text=AL["Midsummer Fire Festival"];
    AtlasLootMenuItem_5:Show();
    --Bash'ir Landing Skyguard Raid
    AtlasLootMenuItem_7_Name:SetText(AL["Bash'ir Landing Skyguard Raid"]);
    AtlasLootMenuItem_7_Extra:SetText(ORANGE..BabbleZone["Blade's Edge Mountains"]);
    AtlasLootMenuItem_7_Icon:SetTexture("Interface\\Icons\\INV_Trinket_Naxxramas02");
    AtlasLootMenuItem_7.type="WorldEvent";
    AtlasLootMenuItem_7.lootpage="BashirLanding";
    AtlasLootMenuItem_7.text=AL["Bash'ir Landing Skyguard Raid"];
    AtlasLootMenuItem_7:Show();
    --Gurubashi Arena Booty Run
    AtlasLootMenuItem_8_Name:SetText(AL["Gurubashi Arena Booty Run"]);
    AtlasLootMenuItem_8_Extra:SetText(ORANGE..BabbleZone["Stranglethorn Vale"]);
    AtlasLootMenuItem_8_Icon:SetTexture("Interface\\Icons\\INV_Box_02");
    AtlasLootMenuItem_8.type="WorldEvent";
    AtlasLootMenuItem_8.lootpage="GurubashiArena";
    AtlasLootMenuItem_8.text=AL["Gurubashi Arena Booty Run"];
    AtlasLootMenuItem_8:Show();
    --Shartuul
    AtlasLootMenuItem_9_Name:SetText(AL["Shartuul"]);
    AtlasLootMenuItem_9_Extra:SetText(ORANGE..BabbleZone["Blade's Edge Mountains"]);
    AtlasLootMenuItem_9_Icon:SetTexture("Interface\\Icons\\INV_Misc_Rune_04");
    AtlasLootMenuItem_9.type="WorldEvent";
    AtlasLootMenuItem_9.lootpage="Shartuul";
    AtlasLootMenuItem_9.text=AL["Shartuul"];
    AtlasLootMenuItem_9:Show();
    --Feast of Winter Veil
    AtlasLootMenuItem_17_Name:SetText(AL["Feast of Winter Veil"]);
    AtlasLootMenuItem_17_Extra:SetText(ORANGE..AL["Various Locations"]);
    AtlasLootMenuItem_17_Icon:SetTexture("Interface\\Icons\\INV_Holiday_Christmas_Present_01");
    AtlasLootMenuItem_17.type="WorldEvent";
    AtlasLootMenuItem_17.lootpage="Winterviel1";
    AtlasLootMenuItem_17.text=AL["Feast of Winter Veil"];
    AtlasLootMenuItem_17:Show();
    --Harvest Festival
    AtlasLootMenuItem_18_Name:SetText(AL["Harvest Festival"]);
    AtlasLootMenuItem_18_Extra:SetText(ORANGE..AL["Various Locations"]);
    AtlasLootMenuItem_18_Icon:SetTexture("Interface\\Icons\\INV_Misc_Food_33");
    AtlasLootMenuItem_18.type="WorldEvent";
    AtlasLootMenuItem_18.lootpage="HarvestFestival";
    AtlasLootMenuItem_18.text=AL["Harvest Festival"];
    AtlasLootMenuItem_18:Show();
    --Lunar Festival
    AtlasLootMenuItem_19_Name:SetText(AL["Lunar Festival"]);
    AtlasLootMenuItem_19_Extra:SetText(ORANGE..AL["Various Locations"]);
    AtlasLootMenuItem_19_Icon:SetTexture("Interface\\Icons\\INV_Misc_ElvenCoins");
    AtlasLootMenuItem_19.type="WorldEvent";
    AtlasLootMenuItem_19.lootpage="LunarFestival1";
    AtlasLootMenuItem_19.text=AL["Lunar Festival"];
    AtlasLootMenuItem_19:Show();
    --Noblegarden
    AtlasLootMenuItem_20_Name:SetText(AL["Noblegarden"]);
    AtlasLootMenuItem_20_Extra:SetText(ORANGE..AL["Various Locations"]);
    AtlasLootMenuItem_20_Icon:SetTexture("Interface\\Icons\\INV_Egg_03");
    AtlasLootMenuItem_20.type="WorldEvent";
    AtlasLootMenuItem_20.lootpage="Noblegarden";
    AtlasLootMenuItem_20.text=AL["Noblegarden"];
    AtlasLootMenuItem_20:Show();
    --Elemental Invasion
    AtlasLootMenuItem_22_Name:SetText(AL["Elemental Invasion"]);
    AtlasLootMenuItem_22_Extra:SetText(ORANGE..AL["Various Locations"]);
    AtlasLootMenuItem_22_Icon:SetTexture("Interface\\Icons\\INV_DataCrystal03");
    AtlasLootMenuItem_22.type="WorldEvent";
    AtlasLootMenuItem_22.lootpage="ElementalInvasion";
    AtlasLootMenuItem_22.text=AL["Elemental Invasion"];
    AtlasLootMenuItem_22:Show();
    --Scourge Invasion
    AtlasLootMenuItem_23_Name:SetText(AL["Scourge Invasion"]);
    AtlasLootMenuItem_23_Extra:SetText(ORANGE..AL["Various Locations"]);
    AtlasLootMenuItem_23_Icon:SetTexture("Interface\\Icons\\INV_Jewelry_Talisman_13");
    AtlasLootMenuItem_23.type="WorldEvent";
    AtlasLootMenuItem_23.lootpage="ScourgeInvasionEvent1";
    AtlasLootMenuItem_23.text=AL["Scourge Invasion"];
    AtlasLootMenuItem_23:Show();
    --Stranglethorn Fishing Extravaganza
    AtlasLootMenuItem_24_Name:SetText(AL["Stranglethorn Fishing Extravaganza"]);
    AtlasLootMenuItem_24_Extra:SetText(ORANGE..BabbleZone["Stranglethorn Vale"]);
    AtlasLootMenuItem_24_Icon:SetTexture("Interface\\Icons\\INV_Fishingpole_02");
    AtlasLootMenuItem_24.type="WorldEvent";
    AtlasLootMenuItem_24.lootpage="FishingExtravaganza";
    AtlasLootMenuItem_24.text=AL["Stranglethorn Fishing Extravaganza"];
    AtlasLootMenuItem_24:Show();
    for i = 1, 30, 1 do
        getglobal("AtlasLootMenuItem_"..i.."_Extra"):Show();
    end
    AtlasLoot_BossName:SetText("|cffFFFFFF"..AL["World Events"]);
    AtlasLoot_SetItemInfoFrame(AtlasLoot_AnchorFrame);
end
